Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network253.0.2.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
253.0.2.0
Broadcast address
253.0.3.255
First usable
253.0.2.1
Last usable
253.0.3.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FD000200 · Integer 4244636160 to 4244636671
Reverse DNS zones
2.0.253.in-addr.arpa
3.0.253.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111101.00000000.00000010.00000000253.0.2.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network11111101.00000000.00000010.00000000253.0.2.0
Broadcast11111101.00000000.00000011.11111111253.0.3.255
Split into smaller subnets/32

253.0.2.0/23 makes 512 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1253.0.2.0/32253.0.2.0 to 253.0.2.0—1
2253.0.2.1/32253.0.2.1 to 253.0.2.1—1
3253.0.2.2/32253.0.2.2 to 253.0.2.2—1
4253.0.2.3/32253.0.2.3 to 253.0.2.3—1
5253.0.2.4/32253.0.2.4 to 253.0.2.4—1
6253.0.2.5/32253.0.2.5 to 253.0.2.5—1
7253.0.2.6/32253.0.2.6 to 253.0.2.6—1
8253.0.2.7/32253.0.2.7 to 253.0.2.7—1
9253.0.2.8/32253.0.2.8 to 253.0.2.8—1
10253.0.2.9/32253.0.2.9 to 253.0.2.9—1
11253.0.2.10/32253.0.2.10 to 253.0.2.10—1
12253.0.2.11/32253.0.2.11 to 253.0.2.11—1
13253.0.2.12/32253.0.2.12 to 253.0.2.12—1
14253.0.2.13/32253.0.2.13 to 253.0.2.13—1
15253.0.2.14/32253.0.2.14 to 253.0.2.14—1
16253.0.2.15/32253.0.2.15 to 253.0.2.15—1
17253.0.2.16/32253.0.2.16 to 253.0.2.16—1
18253.0.2.17/32253.0.2.17 to 253.0.2.17—1
19253.0.2.18/32253.0.2.18 to 253.0.2.18—1
20253.0.2.19/32253.0.2.19 to 253.0.2.19—1
21253.0.2.20/32253.0.2.20 to 253.0.2.20—1
22253.0.2.21/32253.0.2.21 to 253.0.2.21—1
23253.0.2.22/32253.0.2.22 to 253.0.2.22—1
24253.0.2.23/32253.0.2.23 to 253.0.2.23—1
25253.0.2.24/32253.0.2.24 to 253.0.2.24—1
26253.0.2.25/32253.0.2.25 to 253.0.2.25—1
27253.0.2.26/32253.0.2.26 to 253.0.2.26—1
28253.0.2.27/32253.0.2.27 to 253.0.2.27—1
29253.0.2.28/32253.0.2.28 to 253.0.2.28—1
30253.0.2.29/32253.0.2.29 to 253.0.2.29—1
31253.0.2.30/32253.0.2.30 to 253.0.2.30—1
32253.0.2.31/32253.0.2.31 to 253.0.2.31—1
33253.0.2.32/32253.0.2.32 to 253.0.2.32—1
34253.0.2.33/32253.0.2.33 to 253.0.2.33—1
35253.0.2.34/32253.0.2.34 to 253.0.2.34—1
36253.0.2.35/32253.0.2.35 to 253.0.2.35—1
37253.0.2.36/32253.0.2.36 to 253.0.2.36—1
38253.0.2.37/32253.0.2.37 to 253.0.2.37—1
39253.0.2.38/32253.0.2.38 to 253.0.2.38—1
40253.0.2.39/32253.0.2.39 to 253.0.2.39—1
41253.0.2.40/32253.0.2.40 to 253.0.2.40—1
42253.0.2.41/32253.0.2.41 to 253.0.2.41—1
43253.0.2.42/32253.0.2.42 to 253.0.2.42—1
44253.0.2.43/32253.0.2.43 to 253.0.2.43—1
45253.0.2.44/32253.0.2.44 to 253.0.2.44—1
46253.0.2.45/32253.0.2.45 to 253.0.2.45—1
47253.0.2.46/32253.0.2.46 to 253.0.2.46—1
48253.0.2.47/32253.0.2.47 to 253.0.2.47—1
49253.0.2.48/32253.0.2.48 to 253.0.2.48—1
50253.0.2.49/32253.0.2.49 to 253.0.2.49—1
51253.0.2.50/32253.0.2.50 to 253.0.2.50—1
52253.0.2.51/32253.0.2.51 to 253.0.2.51—1
53253.0.2.52/32253.0.2.52 to 253.0.2.52—1
54253.0.2.53/32253.0.2.53 to 253.0.2.53—1
55253.0.2.54/32253.0.2.54 to 253.0.2.54—1
56253.0.2.55/32253.0.2.55 to 253.0.2.55—1
57253.0.2.56/32253.0.2.56 to 253.0.2.56—1
58253.0.2.57/32253.0.2.57 to 253.0.2.57—1
59253.0.2.58/32253.0.2.58 to 253.0.2.58—1
60253.0.2.59/32253.0.2.59 to 253.0.2.59—1
61253.0.2.60/32253.0.2.60 to 253.0.2.60—1
62253.0.2.61/32253.0.2.61 to 253.0.2.61—1
63253.0.2.62/32253.0.2.62 to 253.0.2.62—1
64253.0.2.63/32253.0.2.63 to 253.0.2.63—1
65253.0.2.64/32253.0.2.64 to 253.0.2.64—1
66253.0.2.65/32253.0.2.65 to 253.0.2.65—1
67253.0.2.66/32253.0.2.66 to 253.0.2.66—1
68253.0.2.67/32253.0.2.67 to 253.0.2.67—1
69253.0.2.68/32253.0.2.68 to 253.0.2.68—1
70253.0.2.69/32253.0.2.69 to 253.0.2.69—1
71253.0.2.70/32253.0.2.70 to 253.0.2.70—1
72253.0.2.71/32253.0.2.71 to 253.0.2.71—1
73253.0.2.72/32253.0.2.72 to 253.0.2.72—1
74253.0.2.73/32253.0.2.73 to 253.0.2.73—1
75253.0.2.74/32253.0.2.74 to 253.0.2.74—1
76253.0.2.75/32253.0.2.75 to 253.0.2.75—1
77253.0.2.76/32253.0.2.76 to 253.0.2.76—1
78253.0.2.77/32253.0.2.77 to 253.0.2.77—1
79253.0.2.78/32253.0.2.78 to 253.0.2.78—1
80253.0.2.79/32253.0.2.79 to 253.0.2.79—1
81253.0.2.80/32253.0.2.80 to 253.0.2.80—1
82253.0.2.81/32253.0.2.81 to 253.0.2.81—1
83253.0.2.82/32253.0.2.82 to 253.0.2.82—1
84253.0.2.83/32253.0.2.83 to 253.0.2.83—1
85253.0.2.84/32253.0.2.84 to 253.0.2.84—1
86253.0.2.85/32253.0.2.85 to 253.0.2.85—1
87253.0.2.86/32253.0.2.86 to 253.0.2.86—1
88253.0.2.87/32253.0.2.87 to 253.0.2.87—1
89253.0.2.88/32253.0.2.88 to 253.0.2.88—1
90253.0.2.89/32253.0.2.89 to 253.0.2.89—1
91253.0.2.90/32253.0.2.90 to 253.0.2.90—1
92253.0.2.91/32253.0.2.91 to 253.0.2.91—1
93253.0.2.92/32253.0.2.92 to 253.0.2.92—1
94253.0.2.93/32253.0.2.93 to 253.0.2.93—1
95253.0.2.94/32253.0.2.94 to 253.0.2.94—1
96253.0.2.95/32253.0.2.95 to 253.0.2.95—1
97253.0.2.96/32253.0.2.96 to 253.0.2.96—1
98253.0.2.97/32253.0.2.97 to 253.0.2.97—1
99253.0.2.98/32253.0.2.98 to 253.0.2.98—1
100253.0.2.99/32253.0.2.99 to 253.0.2.99—1
101253.0.2.100/32253.0.2.100 to 253.0.2.100—1
102253.0.2.101/32253.0.2.101 to 253.0.2.101—1
103253.0.2.102/32253.0.2.102 to 253.0.2.102—1
104253.0.2.103/32253.0.2.103 to 253.0.2.103—1
105253.0.2.104/32253.0.2.104 to 253.0.2.104—1
106253.0.2.105/32253.0.2.105 to 253.0.2.105—1
107253.0.2.106/32253.0.2.106 to 253.0.2.106—1
108253.0.2.107/32253.0.2.107 to 253.0.2.107—1
109253.0.2.108/32253.0.2.108 to 253.0.2.108—1
110253.0.2.109/32253.0.2.109 to 253.0.2.109—1
111253.0.2.110/32253.0.2.110 to 253.0.2.110—1
112253.0.2.111/32253.0.2.111 to 253.0.2.111—1
113253.0.2.112/32253.0.2.112 to 253.0.2.112—1
114253.0.2.113/32253.0.2.113 to 253.0.2.113—1
115253.0.2.114/32253.0.2.114 to 253.0.2.114—1
116253.0.2.115/32253.0.2.115 to 253.0.2.115—1
117253.0.2.116/32253.0.2.116 to 253.0.2.116—1
118253.0.2.117/32253.0.2.117 to 253.0.2.117—1
119253.0.2.118/32253.0.2.118 to 253.0.2.118—1
120253.0.2.119/32253.0.2.119 to 253.0.2.119—1
121253.0.2.120/32253.0.2.120 to 253.0.2.120—1
122253.0.2.121/32253.0.2.121 to 253.0.2.121—1
123253.0.2.122/32253.0.2.122 to 253.0.2.122—1
124253.0.2.123/32253.0.2.123 to 253.0.2.123—1
125253.0.2.124/32253.0.2.124 to 253.0.2.124—1
126253.0.2.125/32253.0.2.125 to 253.0.2.125—1
127253.0.2.126/32253.0.2.126 to 253.0.2.126—1
128253.0.2.127/32253.0.2.127 to 253.0.2.127—1
129253.0.2.128/32253.0.2.128 to 253.0.2.128—1
130253.0.2.129/32253.0.2.129 to 253.0.2.129—1
131253.0.2.130/32253.0.2.130 to 253.0.2.130—1
132253.0.2.131/32253.0.2.131 to 253.0.2.131—1
133253.0.2.132/32253.0.2.132 to 253.0.2.132—1
134253.0.2.133/32253.0.2.133 to 253.0.2.133—1
135253.0.2.134/32253.0.2.134 to 253.0.2.134—1
136253.0.2.135/32253.0.2.135 to 253.0.2.135—1
137253.0.2.136/32253.0.2.136 to 253.0.2.136—1
138253.0.2.137/32253.0.2.137 to 253.0.2.137—1
139253.0.2.138/32253.0.2.138 to 253.0.2.138—1
140253.0.2.139/32253.0.2.139 to 253.0.2.139—1
141253.0.2.140/32253.0.2.140 to 253.0.2.140—1
142253.0.2.141/32253.0.2.141 to 253.0.2.141—1
143253.0.2.142/32253.0.2.142 to 253.0.2.142—1
144253.0.2.143/32253.0.2.143 to 253.0.2.143—1
145253.0.2.144/32253.0.2.144 to 253.0.2.144—1
146253.0.2.145/32253.0.2.145 to 253.0.2.145—1
147253.0.2.146/32253.0.2.146 to 253.0.2.146—1
148253.0.2.147/32253.0.2.147 to 253.0.2.147—1
149253.0.2.148/32253.0.2.148 to 253.0.2.148—1
150253.0.2.149/32253.0.2.149 to 253.0.2.149—1
151253.0.2.150/32253.0.2.150 to 253.0.2.150—1
152253.0.2.151/32253.0.2.151 to 253.0.2.151—1
153253.0.2.152/32253.0.2.152 to 253.0.2.152—1
154253.0.2.153/32253.0.2.153 to 253.0.2.153—1
155253.0.2.154/32253.0.2.154 to 253.0.2.154—1
156253.0.2.155/32253.0.2.155 to 253.0.2.155—1
157253.0.2.156/32253.0.2.156 to 253.0.2.156—1
158253.0.2.157/32253.0.2.157 to 253.0.2.157—1
159253.0.2.158/32253.0.2.158 to 253.0.2.158—1
160253.0.2.159/32253.0.2.159 to 253.0.2.159—1
161253.0.2.160/32253.0.2.160 to 253.0.2.160—1
162253.0.2.161/32253.0.2.161 to 253.0.2.161—1
163253.0.2.162/32253.0.2.162 to 253.0.2.162—1
164253.0.2.163/32253.0.2.163 to 253.0.2.163—1
165253.0.2.164/32253.0.2.164 to 253.0.2.164—1
166253.0.2.165/32253.0.2.165 to 253.0.2.165—1
167253.0.2.166/32253.0.2.166 to 253.0.2.166—1
168253.0.2.167/32253.0.2.167 to 253.0.2.167—1
169253.0.2.168/32253.0.2.168 to 253.0.2.168—1
170253.0.2.169/32253.0.2.169 to 253.0.2.169—1
171253.0.2.170/32253.0.2.170 to 253.0.2.170—1
172253.0.2.171/32253.0.2.171 to 253.0.2.171—1
173253.0.2.172/32253.0.2.172 to 253.0.2.172—1
174253.0.2.173/32253.0.2.173 to 253.0.2.173—1
175253.0.2.174/32253.0.2.174 to 253.0.2.174—1
176253.0.2.175/32253.0.2.175 to 253.0.2.175—1
177253.0.2.176/32253.0.2.176 to 253.0.2.176—1
178253.0.2.177/32253.0.2.177 to 253.0.2.177—1
179253.0.2.178/32253.0.2.178 to 253.0.2.178—1
180253.0.2.179/32253.0.2.179 to 253.0.2.179—1
181253.0.2.180/32253.0.2.180 to 253.0.2.180—1
182253.0.2.181/32253.0.2.181 to 253.0.2.181—1
183253.0.2.182/32253.0.2.182 to 253.0.2.182—1
184253.0.2.183/32253.0.2.183 to 253.0.2.183—1
185253.0.2.184/32253.0.2.184 to 253.0.2.184—1
186253.0.2.185/32253.0.2.185 to 253.0.2.185—1
187253.0.2.186/32253.0.2.186 to 253.0.2.186—1
188253.0.2.187/32253.0.2.187 to 253.0.2.187—1
189253.0.2.188/32253.0.2.188 to 253.0.2.188—1
190253.0.2.189/32253.0.2.189 to 253.0.2.189—1
191253.0.2.190/32253.0.2.190 to 253.0.2.190—1
192253.0.2.191/32253.0.2.191 to 253.0.2.191—1
193253.0.2.192/32253.0.2.192 to 253.0.2.192—1
194253.0.2.193/32253.0.2.193 to 253.0.2.193—1
195253.0.2.194/32253.0.2.194 to 253.0.2.194—1
196253.0.2.195/32253.0.2.195 to 253.0.2.195—1
197253.0.2.196/32253.0.2.196 to 253.0.2.196—1
198253.0.2.197/32253.0.2.197 to 253.0.2.197—1
199253.0.2.198/32253.0.2.198 to 253.0.2.198—1
200253.0.2.199/32253.0.2.199 to 253.0.2.199—1
201253.0.2.200/32253.0.2.200 to 253.0.2.200—1
202253.0.2.201/32253.0.2.201 to 253.0.2.201—1
203253.0.2.202/32253.0.2.202 to 253.0.2.202—1
204253.0.2.203/32253.0.2.203 to 253.0.2.203—1
205253.0.2.204/32253.0.2.204 to 253.0.2.204—1
206253.0.2.205/32253.0.2.205 to 253.0.2.205—1
207253.0.2.206/32253.0.2.206 to 253.0.2.206—1
208253.0.2.207/32253.0.2.207 to 253.0.2.207—1
209253.0.2.208/32253.0.2.208 to 253.0.2.208—1
210253.0.2.209/32253.0.2.209 to 253.0.2.209—1
211253.0.2.210/32253.0.2.210 to 253.0.2.210—1
212253.0.2.211/32253.0.2.211 to 253.0.2.211—1
213253.0.2.212/32253.0.2.212 to 253.0.2.212—1
214253.0.2.213/32253.0.2.213 to 253.0.2.213—1
215253.0.2.214/32253.0.2.214 to 253.0.2.214—1
216253.0.2.215/32253.0.2.215 to 253.0.2.215—1
217253.0.2.216/32253.0.2.216 to 253.0.2.216—1
218253.0.2.217/32253.0.2.217 to 253.0.2.217—1
219253.0.2.218/32253.0.2.218 to 253.0.2.218—1
220253.0.2.219/32253.0.2.219 to 253.0.2.219—1
221253.0.2.220/32253.0.2.220 to 253.0.2.220—1
222253.0.2.221/32253.0.2.221 to 253.0.2.221—1
223253.0.2.222/32253.0.2.222 to 253.0.2.222—1
224253.0.2.223/32253.0.2.223 to 253.0.2.223—1
225253.0.2.224/32253.0.2.224 to 253.0.2.224—1
226253.0.2.225/32253.0.2.225 to 253.0.2.225—1
227253.0.2.226/32253.0.2.226 to 253.0.2.226—1
228253.0.2.227/32253.0.2.227 to 253.0.2.227—1
229253.0.2.228/32253.0.2.228 to 253.0.2.228—1
230253.0.2.229/32253.0.2.229 to 253.0.2.229—1
231253.0.2.230/32253.0.2.230 to 253.0.2.230—1
232253.0.2.231/32253.0.2.231 to 253.0.2.231—1
233253.0.2.232/32253.0.2.232 to 253.0.2.232—1
234253.0.2.233/32253.0.2.233 to 253.0.2.233—1
235253.0.2.234/32253.0.2.234 to 253.0.2.234—1
236253.0.2.235/32253.0.2.235 to 253.0.2.235—1
237253.0.2.236/32253.0.2.236 to 253.0.2.236—1
238253.0.2.237/32253.0.2.237 to 253.0.2.237—1
239253.0.2.238/32253.0.2.238 to 253.0.2.238—1
240253.0.2.239/32253.0.2.239 to 253.0.2.239—1
241253.0.2.240/32253.0.2.240 to 253.0.2.240—1
242253.0.2.241/32253.0.2.241 to 253.0.2.241—1
243253.0.2.242/32253.0.2.242 to 253.0.2.242—1
244253.0.2.243/32253.0.2.243 to 253.0.2.243—1
245253.0.2.244/32253.0.2.244 to 253.0.2.244—1
246253.0.2.245/32253.0.2.245 to 253.0.2.245—1
247253.0.2.246/32253.0.2.246 to 253.0.2.246—1
248253.0.2.247/32253.0.2.247 to 253.0.2.247—1
249253.0.2.248/32253.0.2.248 to 253.0.2.248—1
250253.0.2.249/32253.0.2.249 to 253.0.2.249—1
251253.0.2.250/32253.0.2.250 to 253.0.2.250—1
252253.0.2.251/32253.0.2.251 to 253.0.2.251—1
253253.0.2.252/32253.0.2.252 to 253.0.2.252—1
254253.0.2.253/32253.0.2.253 to 253.0.2.253—1
255253.0.2.254/32253.0.2.254 to 253.0.2.254—1
256253.0.2.255/32253.0.2.255 to 253.0.2.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses